new file mode 100644
@@ -0,0 +1,71 @@
+#! /bin/bash
+# FS QA Test No. 094
+#
+# Run the fiemap (file extent mapping) tester with preallocation enabled
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2015 Facebook. All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
+#-----------------------------------------------------------------------
+#
+
+seq=`basename $0`
+seqres=$RESULT_DIR/$seq
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=tmp/$$
+status=1 # failure is the default!
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+_cleanup()
+{
+ cd /
+ rm -f $tmp.*
+}
+
+# get standard environment, filters and checks
+. ./common/rc
+. ./common/filter
+
+# real QA test starts here
+_supported_fs generic
+_supported_os Linux
+_require_scratch
+_require_xfs_io_command "fiemap"
+_require_xfs_io_command "falloc"
+
+_scratch_mkfs > /dev/null 2>&1
+_scratch_mount > /dev/null 2>&1
+
+rm -f $seqres.full
+fiemapfile=$SCRATCH_MNT/$seq.fiemap
+
+[ -x $here/src/fiemap-tester ] || _notrun "fiemap-tester not built"
+
+seed=`date +%s`
+
+echo "using seed $seed" >> $seqres.full
+
+echo "fiemap run with sync"
+$here/src/fiemap-tester -q -S -s $seed -r 200 $fiemapfile 2>&1 | \
+ tee -a $seqres.full
+
+echo "fiemap run without sync"
+$here/src/fiemap-tester -q -s $seed -r 200 $fiemapfile 2>&1 | \
+ tee -a $seqres.full
+
+status=0
+exit
new file mode 100644
@@ -0,0 +1,3 @@
+QA output created by 094
+fiemap run with sync
+fiemap run without sync
@@ -95,6 +95,7 @@
091 rw auto quick
092 auto quick prealloc
093 attr cap udf auto
+094 auto quick prealloc
097 udf auto
099 udf auto
100 udf auto
I noticed that btrfs wasn't setting unwritten on prealloc test, and then subsequently noticed that we weren't testing fiemap on prealloc extents with the fiemap-tester. This patch adds another test that does the same as generic/225 only with prealloc enabled. Thanks, Signed-off-by: Josef Bacik <jbacik@fb.com> --- V2->V3: -drop the extra check for unsupported fiemap tests/generic/094 | 71 +++++++++++++++++++++++++++++++++++++++++++++++++++ tests/generic/094.out | 3 +++ tests/generic/group | 1 + 3 files changed, 75 insertions(+) create mode 100644 tests/generic/094 create mode 100644 tests/generic/094.out